import {httpApi} from "../../request/httpApi";

export default {
    //日志填报列表查询
    async getLogList(form, msg = false) {
        return httpApi({
            url: '/api/blade-control/log/list',
            method: 'post',
            data: form
        }, msg);
    },
    //日志填报详情
    async getLogDetail(form, msg = false) {
        return httpApi({
            url: '/api/blade-control/log/detail',
            method: 'post',
            params: form
        },msg);
    },
    //日志任务列表-获取当前用户当日的任务信息
    async getLogTaskList(form= {}, msg = false) {
        return httpApi({
            url: '/api/blade-control/log/task/list',
            method: 'post',
            data: form
        },msg);
    },
    //日志任务完成
    async setLogTaskComplete(form, msg = false) {
        return httpApi({
            url: '/api/blade-control/log/task/complete',
            method: 'post',
            params: form
        },msg);
    },
     //日志填报新增或修改
     async setLogSubmit(form, msg = false) {
        return httpApi({
            url: '/api/blade-control/log/submit',
            method: 'post',
            data: form
        },msg);
    },
}
